<html>
	<head>
		<meta http-equiv="content-type" content="text/html; charset=utf-8">
		<title>Street Lamps in OSM</title>
		<meta name="viewport" content="initial-scale=1.0, user-scalable=no" />
		<link rel="stylesheet" href="leaflet/leaflet.css" />
		<link rel="stylesheet" href="js/jquery-ui-1.10.3.custom.min.css" />
		<link rel="stylesheet" href="style.css" />

		<!-- Load jquery -->
		<script src="js/jquery.js"></script>
		<script src="js/jquery-ui-1.10.3.custom.min.js"></script>

		<!-- Load i18next -->
		<script src="js/i18next/i18next.min.js"></script>
		<script src="js/i18next/i18nextXHRBackend.js"></script>
		<script src="js/i18next/i18nextBrowserLanguageDetector.min.js"></script>
		<script src="js/i18nextInit.js"></script>

		<!-- Load leaflet -->
		<script src="leaflet/leaflet.js"></script>
		<link rel="stylesheet" href="leaflet/plugins/Control.Opacity/Control.Opacity.css" />

		<script src="js/geo.js" type="text/javascript"></script>
		<script src="leaflet/plugins/leaflet-hash/leaflet-hash.js"></script>
		<script src="leaflet/plugins/Control.Opacity/Control.Opacity.js"></script>
		<script src="leaflet/plugins/LanguageSelector/LanguageSelector.js"></script>
		<script src="js/gears_init.js" type="text/javascript"></script>

		<script src="js/parse_scripts.js" type="text/javascript"></script>

	</head>

	<body style="margin:0px">
		<div id="map" style="height: 100%"></div>
		<script>

			MarkerArray = new Array();
			var StreetLights = new L.LayerGroup([],{
				maxZoom : 19,
				minZoom : 15
			});
			var LitStreets = new L.LayerGroup([],{
				maxZoom : 19,
				minZoom : 15
			});

			var OverpassAttrib = 'Data via <a href="http://www.overpass-api.de/">Overpass API</a>';
			
			var OSM_carto = L.tileLayer('http://{s}.tile.openstreetmap.org/{z}/{x}/{y}.png', {
				maxZoom: 19,
				attribution: 'Map data &copy; OpenStreetMap contributors | ' + OverpassAttrib
			});
			var OSM_de = L.tileLayer('https://{s}.tile.openstreetmap.de/tiles/osmde/{z}/{x}/{y}.png', {
				maxZoom: 18,
				attribution: '&copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors | ' + OverpassAttrib
			});			
			var OSM_fr = L.tileLayer('https://{s}.tile.openstreetmap.fr/osmfr/{z}/{x}/{y}.png', {
				maxZoom: 20,
				attribution: '&copy; OpenStreetMap France | &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors | ' + OverpassAttrib
			});			
			var OpenTopoMap = L.tileLayer('https://{s}.tile.opentopomap.org/{z}/{x}/{y}.png', {
				maxZoom: 17,
				attribution: 'Map data: &copy; <a href="https://www.openstreetmap.org/copyright">OpenStreetMap</a> contributors, <a href="http://viewfinderpanoramas.org">SRTM</a> | Map style: &copy; <a href="https://opentopomap.org">OpenTopoMap</a> (<a href="https://creativecommons.org/licenses/by-sa/3.0/">CC-BY-SA</a>) | ' + OverpassAttrib
			});

			var map = new L.Map('map');

			var baseMaps = {
				"OpenStreetMap Carto": OSM_carto,
				"OpenStreetMap DE": OSM_de,
				"OpenStreetMap FR": OSM_fr,
				"OpenTopoMap": OpenTopoMap
			};

			var overlayMaps = {
				"<span id='layer_street_lights'>Street Lights</span>": StreetLights,
				"<span id='layer_lit_streets'>Lit Streets</span>": LitStreets
			};

			// add LanguageSelector
			var LanguageSelector = new L.Control.LanguageSelector();
			map.addControl(LanguageSelector);

			L.control.layers(baseMaps, overlayMaps).addTo(map);

			// add opacity control
			var current_layer = OSM_carto
			var opacitySlider = new L.Control.opacitySlider();
			map.addControl(opacitySlider);
			opacitySlider.setOpacityLayer(current_layer);


			loadingcounter = 0;
			var showStreetLights = false;
			var opacityHigh = 0.2; // opacity level when showing street lights
			var opacityLow = 1.0; // opacity level when not showing street lights

			//Testen ob location abgefragt werden muss
			if (document.URL.search(/#/)==-1){
				function success_callback(p)
				{
					//alert('lat='+p.coords.latitude.toFixed(2)+';lon='+p.coords.longitude.toFixed(2));
					mapInit( p.coords.latitude.toFixed(5) , p.coords.longitude.toFixed(5) );
				}

				function error_callback(p)
				{
					mapInit(-10000,-10000);
				}

				if(geo_position_js.init()){
					geo_position_js.getCurrentPosition(success_callback,error_callback,{enableHighAccuracy:true,options:5000});
				}
				else{
					mapInit(-10000,-10000);
				}
			}

			var ort = new L.LatLng(51, 11);

			map.setView(ort, 6).addLayer(OSM_carto);
			map.addLayer(StreetLights);
			LitStreets.on('add',function(){Moveaufruf();});
			if(window.location.search.indexOf("lit_streets") != -1) {
				map.addLayer(LitStreets);
			}

			//Permalink
			var hash = new L.Hash(map);
			map.on('moveend',function(){Moveaufruf();});

			function mapInit(lat,lon)
			{

				if (lat > -10000)
				{
					var ort = new L.LatLng(lat, lon); // geographical point (longitude and latitude)
					var zoom = 14;
				}
				else
				{
					var ort = new L.LatLng(51, 11); // geographical point (longitude and latitude)
					var zoom = 6;
				}
				map.setView(ort, zoom).addLayer(OSM_carto);

				map.on('moveend',function(){Moveaufruf();});
				Moveaufruf();
			}

			function openinJOSM(type, ID){
				$.ajax({
				  url: "http://127.0.0.1:8111/load_and_zoom?left="+lefttop.lng+"&right="+rightbottom.lng+"&top="+lefttop.lat+"&bottom="+rightbottom.lat+"&select="+type+ID
				});
			}


			map.on('baselayerchange', function (e) {
				current_layer = e.layer;
				opacitySlider.setOpacityLayer(current_layer);
				
			});

		</script>
		<div id="zoomwarnung">
			<p id="zoomin"></p>
		</div>
		<div id="loading" style="display:none"><img src="./img/ajax-loader.gif"></div>

		<div id="options">
			<small><a target="_new" href="./about.html" id="aboutmap"></a> | <a href="https://flattr.com/submit/auto?fid=4zqqyl&url=http%3A%2F%2Fosmstreetlight.bplaced.net%2F" target="_new">Flattr</a></small>
		</div>

	</body>
</html>
